## git-buildpackage 0.8.3~bpo8+1

=== docs/Makefile ===
#!/usr/bin/make

MAN1S = \
        gbp               \
        gbp-buildpackage  \
        gbp-clone         \
        gbp-config        \
        gbp-create-remote-repo \
        gbp-dch           \
        gbp-import-dsc    \
        gbp-import-dscs   \
        gbp-import-orig   \
        gbp-pq            \
        gbp-pull          \
        gbp-buildpackage-rpm \
        gbp-import-srpm   \
        gbp-pq-rpm        \
        gbp-rpm-ch        \
        $(NULL)

MAN5S = gbp.conf

MANUAL=manual-html
SGML_MANPAGES=$(patsubst %,%.1,$(MAN1S)) $(patsubst %,%.5,$(MAN5S))
POD_MANPAGES=git-pbuilder.1
MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
VERSION_ENT=version.ent
GBP_VERSION=../gbp/version.py
DEB_VERSION=$(shell sed -ne 's/^gbp_version="\([.a-z0-9~-]\+\)"/\1/p' $(GBP_VERSION))
CHANGELOG=../debian/changelog
MAN_DATE=$(shell dpkg-parsechangelog -l ../debian/changelog -SDate | TZ=UTC LC_ALL=C date -f- +'%d %B %Y')

# Stuff to build docs outside Debian
HAVE_SGML2X ?= 1
GTK_DOC_CATALOG_FILE ?= /usr/share/sgml/gtk-doc/gtk-doc.cat

all: $(MANUAL) $(MANPAGES)

$(MANUAL): manual.sgml chapters/*.sgml manpages/*.sgml
ifeq ($(HAVE_SGML2X),1)
	docbook-2-html -s local $<
else
	docbook2html -d local-nosgml2x.dsl -c $(GTK_DOC_CATALOG_FILE) -o $(MANUAL) $<
endif
	sed -i 's/^CLASS="[A-Z0-9]\+"/\L&/' manual-html/*.html
	cp /usr/share/gtk-doc/data/*.png $(MANUAL)

# We build manpages under 'buildxref/' just to get an updated cross-reference
# file (manpage.refs), before building the final manpages
BUILD_MAN_XREF_PAGES=$(patsubst %,buildxref/%,$(SGML_MANPAGES))

buildxref/%.1 buildxref/%.5: man.%.sgml manpages/%.sgml
	docbook2man -o buildxref $<
	sed -i -r "s/\"[^\"]+\"/\"$(MAN_DATE)\"/3" $@

manpage.refs: $(BUILD_MAN_XREF_PAGES)
	cp buildxref/$@ $@

%.1 %.5: manpage.refs
	docbook2man -o . man.$*.sgml
	sed -i -r "s/\"[^\"]+\"/\"$(MAN_DATE)\"/3" $@

git-pbuilder.1: ../bin/git-pbuilder
	pod2man $< $@

manual.sgml: $(VERSION_ENT)

$(VERSION_ENT): $(GBP_VERSION)
	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)

clean:
	-rm -r manual-html/
	-rm *.1 *.5 manpage.* $(VERSION_ENT)
	-rm -r buildxref

=== debian/changelog ===
git-buildpackage (0.8.3~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Aug 2016 09:36:39 +0000

git-buildpackage (0.8.3) unstable; urgency=medium

  * Upload to unstable
  * [51620e9] import-orig: export version information to postimport hook
    (Closes: #833429)
  * [086ff78] Drop dependencies on sp and jade.
    Thanks to Neil Roeth
  * [bf46e26] Update to git-pbuilder 1.42
  * [99e7703] import_orig: Properly abort merge on rollbacks.
    If merging fails we need to call "git merge --abort"
  * [a868977] tests: match env vars values in hook checks too
  * [fae6456] tests: only check gbp related env vars in hooks.
    This avoids test failures when env vars contain newlines

 -- Guido Günther <agx@sigxcpu.org>  Fri, 26 Aug 2016 14:18:17 +0200

git-buildpackage (0.8.2) experimental; urgency=medium

  * [1f0013c] import-orig: Switch to Debian branch before merging in changes
    otherwise we'd always merge into the current working copy
    (Closes: #832016)
  * [a52aff5] download_orig: unlink file before raising the exception
    otherwise we would not clean up
  * [3d261da] import_orig: Only try rollbacks if necessary.
  * [61e659d] pq: strip comments with multiple leading whitespace. Really
    Closes: #825536
  * [68940fb] pq: Retry patch with whitespace fixup on failure.  This helps
    patches with CRLF line endings and we don't lose anything since we'd
    failed otherwise anyway. (Closes: #833066)
  * [e2671b9] docs: fix --postclone and --hooks options of git-clone.
    Thanks to IOhannes m zmoelnig for pointing this out
  * [e68a0a1] docs: Document --postclone hook behaviour with debian/gbp.conf
    Thanks to IOhannes m zmoelnig for pointing this out
    (Closes: #833143)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Aug 2016 19:26:33 +0200

git-buildpackage (0.8.1) experimental; urgency=medium

  [ Guido Günther ]
  * [3a5a497] import_dsc: Use the same patch options as dpkg-source for 1.0
    packages (except for creating backup files) (Closes: #670099)
  * [8d84fd3] dch: Match 'thanks' case insensitive (Closes: #746753)
  * [29f16ca] Unbreak autopkgtest by setting git user and email
  * [2b33349] import_orig: Drop duplicate log message when rolling back a branch
  * [7ba43f6] Improve check for empty_repository.
    Based on a patch by Carlos Maddela (Closes: #791472)
  * [55fd73a] Remove outdated ref on git-import-dsc
  * [1fae819] Use proper test fixtures.
    (Closes: #723888)
  * [95c8c53] clone: add postclone hook (Closes: #812816, #812815)
  * [491adcf] clone: document missing directory option

  [ Michael Elovskikh ]
  * [a6311e6] Added option `never` to dch `--spawn-editor` choices

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Jul 2016 15:44:28 +0200

git-buildpackage (0.8.0) experimental; urgency=medium

  [ Markus Lehtonen ]
  * [c5cfb5e] Introduce gbp-rpm-ch.
    Initial version of gbp rpm-ch command, a tool for maintaining
    RPM changelogs. The new command supports %changelog section inside spec
    files as well as separate changelog files ("OBS style"). (Closes: #808027)

  [ Guido Günther ]
  * [b4b7f9f] clone: Be a bit more verbose and let the user know that we
    started cloning
  * [1f58d21] PatchSeries: Strip comment from patch names (Closes: #825536)
  * [1989c32] pq: Report number of imported patches
  * [dcb145f] Use existing option as example in gbp-buildpackage manpage.
    Thanks to Nicolas Braud-Santoni (Closes: #828703)
  * [f1c64e2] manpages: add examples for gbp {clone,import-dsc}
  * [83dfa67] GitRepository: Deleting a non-existing branch should not throw
    an error
  * [ba7b087] docs: Clarify some gbp pq options
  * [ebc6b91] import_orig: Recover from import errors by winding back branches
    and tags to their pre-error states (Closes: #828838)
  * [4964234] dch: Log version number when preparing a snapshot
    (Closes: #829025)
  * [7a6641a] import-dsc: Don't fail on 1.0 non-native packages without a
    Debian version
    (Closes: #829070)
  * [8c4460c] Actually install gbp-rpm-ch and unbreak manpage generation
  * [d92b656] tests: Omit build dependend variables from epydocs
    based on a patch from Sascha Steinbiss (Closes: #827546)
  * [d977377] Set date in manpages based on last changelog entry
    for reproducibility. This can be reverted once ocbook2man is fixed
    (#800797).
    Thanks to Sascha Steinbiss for the patch
  * [53f37eb] import-orig: Make default import message more gbp-dch friendly.
  * [312c9b9] Use imperative for git messages as suggested in gh:#26.
  * [2bc3801] import_dsc: don't assume component tarballs have the correct name.
    (Closes: #829458)
  * [bc3805c] import_orig: add support for importing additional tarballs.
    We expect the additional tarballs to be located next to the orig tarball
    and to be already named properly. (Closes: #561071)
  * [870c901] Docs: Clarify on possible key names and priorities in gbp.conf
  * [7a521d4] Handle Ctrl-C more gracefully
  * [b540c98] additional tarballs: allow one to configure components via gbp.conf
  * [1d4d4a2] config: Allow one to give list values in plural form
  * [700e164] config: Properly abort on config file parsing errors
    instead of printing an exception on the console
  * [3b4912d] config: always use 'gbp <cmd>' in help output.
    The {git,gbp}- versions went away ages ago
  * [f545010] Give more instructions when config is unparseable
    and make return codes and messages consistent.
    (Closes: #733640)
  * [a0ed81b] Require python 2.7. It's the default up to Wheezy
    (Closes: #685031)

  [ Otto Kekäläinen ]
  * [af16f59] Fix simple spelling errors in comments and strings
  * [f28a26b] Fix spelling of existant->existent in function names, strings
    and comments

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Jul 2016 21:47:42 +0200

=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 bash-completion (>= 1:2.1-4.2~),
 debhelper (>= 9~),
 dh-python,
 docbook-utils,
 gtk-doc-tools,
 perl,
 pychecker,
 python (>> 2.7.3),
 python-coverage,
 python-dateutil,
 python-epydoc,
 python-mock,
 python-nose,
 python-nosexcover,
 python-pkg-resources,
 python-rpm,
 python-six,
 python-setuptools,
 sgml2x,
# For the testsuite
 bzip2,
 cpio,
 devscripts (>= 2.13.8~),
 git (>= 1:1.7.9.1-1~),
 pristine-tar,
 rpm,
 unzip,
 zipmerge
Standards-Version: 3.9.6
Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
X-Python-Version: >= 2.7

Package: git-buildpackage
Architecture: all
Depends: ${python:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 devscripts (>= 2.13.5~),
 git (>= 1:1.7.9.1-1~),
 man-db,
 python-dateutil,
 python-pkg-resources,
 python-six,
Recommends: pristine-tar (>= 0.5),
 cowbuilder | pbuilder | sbuild,
 python-requests
Suggests: python-notify, unzip, sudo
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * gbp import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * gbp import-orig: import a new upstream version into the git repository
  * gbp buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * gbp dch: generate Debian changelog entries from Git commit messages
  * gbp {pull,clone}: clone and pull from remote repos
  * gbp pq: manage debian/patches easily
  * gbp create-remote-repo: create remote repositories

Package: git-buildpackage-rpm
Architecture: all
Depends: ${python:Depends},
 ${misc:Depends},
 cpio,
 git-buildpackage (= ${binary:Version}),
 python-rpm,
 rpm,
Recommends: pristine-tar (>= 0.5)
Suggests: python-notify, unzip, zipmerge, mock
Description: Suite to help with RPM packages in Git repositories
 This package contains the following tools:
  * gbp buildpackage-rpm: build a package out of a git repository, check for
    local modifications and tag appropriately
  * gbp import-srpm: import existing RPM source packages into a git
    repository
  * gbp pq-rpm: manage patches easily
 .
 These tools are currently in an experimental state. Branch names and
 repository layouts might change without lots of prior warning.

## git-buildpackage 0.8.6

=== docs/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
 VERSION_ENT=version.ent
 GBP_VERSION=../gbp/version.py
-DEB_VERSION=$(shell sed -ne 's/^gbp_version="\([.a-z0-9~-]\+\)"/\1/p' $(GBP_VERSION))
+DEB_VERSION=$(shell sed -ne 's/^gbp_version\s\+=\s\+"\([.a-z0-9~-]\+\)"/\1/p' $(GBP_VERSION))
 CHANGELOG=../debian/changelog
 MAN_DATE=$(shell dpkg-parsechangelog -l ../debian/changelog -SDate | TZ=UTC LC_ALL=C date -f- +'%d %B %Y')

=== debian/changelog ===
git-buildpackage (0.8.6) unstable; urgency=medium

  * [a35d7d6] buildpackage: handle <vendor>/master
  * [12fda23] create-remote-repo: print proper error message on missing
    remote-configs instead of printing the exception to the console.
  * [e917d3a] config: Turn dict of config files into a list so we get a fixed
    order with all Python versions
  * [c092d73] config: warn on deprecated $REPO/.gbp.conf location.  The file
    is deprecated at least since 2012 but we never warned about it.  Warning
    can be disabled via GBP_DISABLE_GBP_CONF_DEPRECTATION.
  * [507ae50] import-orig: Document --rollback option
  * [eb3be92] import-orig: Give some context on --merge-mode=replace option

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Oct 2016 17:16:23 +0200

git-buildpackage (0.8.5) unstable; urgency=medium

  [ Guido Günther ]
  * Fixes:
    * [7c964ea] buildpackage: add back export-dir options
      (Closes: #839581)

  * Improvements:
    * [9817e89] posttag-push: Print branches we push to

  * Cleanups:
    * [a5a8a1c] pq: remove redundancies in --pq-from code paths
    * [59dce12] pq: introduce pq_on_upstream_tag
    * [f31bcd2] pq: make TestFromTAG tests silent
    * [c1ab85a] test_pq_rpm: flake8 clean
    * [86068d4] test_pq_rpm.py: don't spew on stderr
    * [46787e3] test_buildpackage_rpm.py: flake8 clean
    * [f96c8e1] tests: capture stderr in gbp rpm-ch component tests - reduces
      spurious output
    * [e4c893d] tests: capture stderr in gbp import_srpm component tests -
      reduces spurious output
    * [43beb38] GitRepository.archive: use _git_inout instead of the
      deprecated _git_getoutput that spews to stderr This silences a spurious
      output to stderr in test_buildpackage_rpm
    * [55e8c8f] GitRepository.list_submodules: use _git_inout and check exit
      status.
    * [53f9f40] test_buildpackage_rpm: check that we fail subtarball
      generation correctly
    * [f87c21c] tests/buildpackage: test --git-export-dir

  [ Linn Crosetto ]
  * [c1b32fa] dch: avoid adding section in snapshot mode if distribution is
    UNRELEASED. (Closes: #838714)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 10 Oct 2016 18:06:32 +0200

git-buildpackage (0.8.4) unstable; urgency=medium

  [ Maximiliano Curia ]
  * [e615c65] pq: Handle unmerged debian branches. This allows one to import
    the patch-queue branch onto the upstream tag.
    (Closes: #834726)
  * [f6433f9] pq: Ensure we are working in the right git directory.

  [ Guido Günther ]
  * [6909bb1] Unbreak gbp-pq manpage generation
  * flake8 cleaniness
  * [7a7068d] create_remote_repo: allow one to create non bare repositories
    (Closes: #837158)
  * [98cea5f] import_orig: Use gbp.scripts.common.hook
  * [5ff1be8] test_rpm_ch: use GIT_AUTHOR_* env vars.
  * [98ea945] flake8: Ignore rpm related files for now. This makes it easier
    to integrate changes from git-buildpackage-rpm.
  * [3ded91b] Move doc generation and test invocation to separate Makefile
  * [2845359] Switch from pychecker to flake8. The later is maintained and
    has more checks Use '-j1' for now since otherwise we need /dev/shm access
    which fails in a pbuilder chroot with EPERM.
  * [264090e] Rename README to README.md to get Markdown formatting
  * [2809284] dch: document which options can't be set via gbp.conf
  * [2122d8b] dch: document --security
  * [ef7ca4a] config: allow one to specify short options
  * [3feba49] dch: make urgency a config file option so it can be set via
    gbp.conf (Closes: #837680)
  * [fdcee06] dch: add missing short opts to manpage
  * [dbb9623] Unbreak patch delta output broken by "pq: Ensure we are working
    in the right git directory"
  * [3e26d02] Vcs-Git: use https transport
  * [74c7bc0] autopkgtest: Skip build if setuptools is not available
  * [6ec588a] pq: restrict choices of pq-from to 'DEBIAN' and 'TAG'

  [ Markus Lehtonen ]
  * [c6b32c8] Command: redirect stdout/stderr to sys.stdout/stderr.
  * [245b443] tests: capture stderr in buildpackage-rpm unit tests.
    Reduces spurious output from rpmbuild. (Closes: #829690)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 27 Sep 2016 18:56:12 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  debhelper (>= 9~),
  dh-python,
  docbook-utils,
+ flake8,
  gtk-doc-tools,
  perl,
- pychecker,
  python (>> 2.7.3),
  python-coverage,
  python-dateutil,
@@ -31,8 +31,8 @@
  rpm,
  unzip,
  zipmerge
-Standards-Version: 3.9.6
-Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
+Standards-Version: 3.9.8
+Vcs-Git: https://git.sigxcpu.org/cgit/git-buildpackage/
 Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
 X-Python-Version: >= 2.7

## git-buildpackage 0.8.7~bpo8+1

=== Makefile ===
all: syntax-check test

test:
	export GIT_AUTHOR_NAME="Gbp Tests";		\
	export GIT_AUTHOR_EMAIL=tests@example.com;	\
	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
	PYTHONPATH=.					\
	python setup.py nosetests --with-xcoverage

syntax-check:
	#flake8 -j1

docs:
	make -C docs

apidocs:
	mkdir -p build
	epydoc -v --config=setup.cfg

.PHONY: docs

=== docs/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 all: $(MANUAL) $(MANPAGES)
 
-$(MANUAL): manual.sgml chapters/*.sgml manpages/*.sgml
+$(MANUAL): manual.sgml chapters/*.sgml manpages/*.sgml common.ent $(VERSION_ENT)
 ifeq ($(HAVE_SGML2X),1)
 	docbook-2-html -s local $<
 else

=== debian/changelog ===
git-buildpackage (0.8.7~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports (Closes: #826344).

 -- Guido Günther <agx@sigxcpu.org>  Fri, 09 Dec 2016 09:47:19 +0100

git-buildpackage (0.8.7) unstable; urgency=medium

  [ Guido Günther ]
  * [924f809] Build-depend on libdistro-info-perl.
    This silences the testsuite and unbreaks the build on Ubuntu
    (Closes: #842960)
  * [36b8a58] rpm: don't warn about deprecated $repo/.gbp.conf.
    People use it a lot with rpm based tools so don't warn there until we
    clearly suggested a better location.
  * [3c498e1] docs: Don't suggest deprecated section names in examples
  * [42657fc] docs: Rework "upstream uses git" section
  * [ced46db] tests: Move doctests to subdir
  * [ea5775a] commands: allow to fall back to error reason if stderr is empty.
    Use this in PristineTar and SrcRpmFile to give better error messages if
    the command doesn't even get to print to stderr (i.e. missing on disk).
    (Closes: #842592)
  * [4cacaeb] Avoid printing deprecation twice.  Some tools reparse the
    config. We don't want another deprecation in this case.
  * [039a286] Avoid deprecation outside of Debian package repositories.  E.g.
    ~ might have a .gbp.conf for the user and might be git managed.
  * [acf7a73] Avoid deprecation on bash completion
  * [6f75d7c] Fix new flake8 errors. (Closes: #844932)
  * [420e299] DebianGitRepository: Handle dot escaping as specified in DEP-14
    (Closes: #843840)
  * [d360a6d] DebianGitRepository: simplify version mangling '%' is not valid
    in a Debian version number and we only want single character replacements
    for now.
  * [7ed5e2b] DebianGitRepository: Unmangle version.  When mapping from a git
    tag to a Debian version unamngle it.
  * [0b317ee] docs: Use version mangling with care
  * [c96a5b4] docs: Recommend DEP-14
  * [9cb3966] examples/gbp-posttag-push: allow to upload packages too after
    pushing all the git data to the remote end. Making one more custom
    packaging script obsolete.

  [ Jonas Meurer ]
  * [dd5c3bc] Add version mangling.
    This allows to replace characters in upstream version numbers. I.e.
    replace '-' by '.'. (Closes: #842638)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 28 Nov 2016 08:39:35 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  docbook-utils,
  flake8,
  gtk-doc-tools,
+ libdistro-info-perl,
  perl,
  python (>> 2.7.3),
  python-coverage,

=== debian/rules ===
#!/usr/bin/make -f
  
EXAMPLE_SCRIPTS=\
    gbp-add-patch          \
    gbp-cowbuilder-sid     \
    gbp-posttag-push       \
    gbp-configure-unpatched-source \
    wrap_cl.py

DEB_COMPRESS_EXCLUDE=$(EXAMPLE_SCRIPTS)

ZSH_COMPDIR = /usr/share/zsh/vendor-completions/

PYCHECKER_ARGS=-boptparse --no-override --no-shadowbuiltin

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	make
else
	@echo "Checks disabled via DEB_BUILD_OPTIONS"
endif

override_dh_auto_build:
	dh_auto_build
	make apidocs docs

override_dh_auto_install:
	dh_auto_install
	dh_bash-completion
	mkdir -p debian/git-buildpackage/$(ZSH_COMPDIR)
	install -m644 debian/git-buildpackage.zsh-completion \
		debian/git-buildpackage/$(ZSH_COMPDIR)/_gbp

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/
	make -C docs/ clean
	-rm gbp/version.py

override_dh_compress:
	dh_compress --exclude=usr/share/doc/git-buildpackage/examples/

## git-buildpackage 0.8.8

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	python setup.py nosetests --with-xcoverage
 
 syntax-check:
-	#flake8 -j1
+	flake8 -j1
 
 docs:
 	make -C docs

=== debian/changelog ===
git-buildpackage (0.8.8) unstable; urgency=medium

  [ Chris Lamb ]
  * [03276df] Add ability to specify the clone target to gbp-import-{dsc,srpm}
    (Closes: #846567)

  [ Guido Günther ]
  * [0a9cf44] docs: setting target dir is supported for --download too
  * [f631e64] import_dsc: fail properly again without a package to import
  * [a10c77b] import_srpm: allow for more than one argument otherwise giving a
    target dir always raises an error
  * [e1aec57,627b858] import_rpms: use upstream version for upstream tag
    (Closes: #846936)
  * [ce42aadc] pq_rpm: use relative path names for patches Based on a patch
    from Tzafrir Cohen
    (Closes: #834582)
  * [fa091b6] rpm: improve error message on specfile patch parser errors.
  * [bf4afbe] gbp-posttag-push: catch exceptions instead of printing the full
    trace
  * [1d44f48] buildpackage_rpm: drop unused vcs_info()
  * flake8 cleanups all over the rpm code

  [ Tzafrir Cohen ]
  * [73d30ef] specfile: handle %patch -F.
    (Closes: #846479)
  * [d9b28f9] gbp-mock: handle single letter options by properly handling '-?'
    to request help output.
    (Closes: #847464)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Dec 2016 14:52:18 +0100

## git-buildpackage 0.8.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 all: syntax-check test
+
+all+net:
+	$(MAKE) GBP_NETWORK_TESTS=1 all
 
 test:
 	export GIT_AUTHOR_NAME="Gbp Tests";		\

=== debian/changelog ===
git-buildpackage (0.8.9) unstable; urgency=medium

  [ Guido Günther ]
  * [b6a94b6] git-pbuilder: Run actions under "set -x"
    cowbuilder is currently very terse about certain errors so run the
    action under "set -x" to print the exact command invocation.
    This will also help to diagnose sudo issues.
  * [ef1d8e7] create-remote-repo: allow to list config sections via
      gbp create-remote-repo list
  * [be44031] gbp create-remote-repo: autocomplete --remote-config= too
  * [1291b17] Update to git-builder 1.43. Thanks Russ Allberry!
  * [0e3deeb] setup.py: use a valid classifier
    from https://pypi.python.org/pypi?%3Aaction=list_classifiers
  * [9cbb9df] Use relative patch to install gbp.conf to make
    pip install --user work
  * [6f5070d] bash completion: don't complete options values with options.  So
    far hitting <tab> on --bar= would have all other options as suggestions
    which is confusing.
  * [a21e394] bash completion: complete tags on --upstream-vcs-tag= too
  * [fe39b8e] bash completion: complete filenames on hooks, cleaners and builders
  * [f7a61fa] Only set username and email when creating repos.  Don't modify
    existing ones.
  * [cb8169d] gbp {clone, import_dsc, import_srpm}: Document new
    --repo-{user,email} options
  * [7b297b7] GitRepository: allow to check cleanliness of arbitrary paths
  * [e31f15b] gbp pq: Don't fail --commit on empty commits. So far we would fail
    empty commits with a confusing error
  * [bad1f23] import-orig: Handle download errors properly.
  * [d90e6be] import-orig: determine download automatically making --download
    superfluous and deprecated.
  * [58271d6] import-dsc: determine download automatically making --download
    superfluous and deprecated.
  * [8038a6f] import-dsc: Improve error message if there is no dsc file
    instead of spewing the exception on the console.
  * [9ecb5a4] Add helper to run tests in docker container
    and use this on travisci. Some ideas taken form travis.debian.net.
  * [3b1b9bc] GitRepository: use GitArgs for update_ref
  * [1ac2724] GitRepository.commit_dir: add a proper reflog entry
    otherwise 'gbp import-dsc' adds reflog entries without a description.
  * [7ae2778] GitRepository: allow for dry-run push
  * Various enhancements to the test-suite including tests that reach out to
    the network to test these import options
  * Various enhancements to the gbp-posttag-push example hook like trying the
    git push with --dry-run before the upload.

  [ Michael Stapelberg ]
  * [67cf3ed] gbp clone: configure user.email, user.name from DEBEMAIL/DEBFULLNAME.
    Close: #845536

 -- Guido Günther <agx@sigxcpu.org>  Sat, 31 Dec 2016 17:13:03 +0100

## git-buildpackage 0.8.10

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+PY_EXAMPLES=$(shell grep -l /usr/bin/python examples/*)
+
 all: syntax-check test
 
 all+net:
@@ -13,6 +15,7 @@
 
 syntax-check:
 	flake8 -j1
+	flake8 -j1 $(PY_EXAMPLES)
 
 docs:
 	make -C docs

=== debian/changelog ===
git-buildpackage (0.8.10) unstable; urgency=medium

  * [ede603e] GitRepository: properly use pipe on empty strings.
    (Closes: #850319)
  * [42ee784] buildpackage: print proper dist when using sid.
  * [e9ffa80] buildpackage: create all missing dirs with --export
    Thanks to Andrea Zagli for the suggestion
  * [42878ff] dch: honor --no-git-author
    Thanks to David Kalnischkies for investigating (Closes: #796913)
  * [4086fc9] import_dsc: Store debian/changelog in commit message
    when importing packages. (Closes: #577810)
  * [5fb0749] import_orig: Delay unpack of component tarballs.
    (Closes: #840602)
  * [67d8b9f] Move default gbp.conf back to the right location.
    Thanks to Luca Boccassi (Closes: #850937)
  * [80a1c39] Quote arguments passed to builder.
    Thanks to Simon McVittie for the detailed report (Closes: #850869)
  * [4a41d49] import-orig: Move orig.tar.gz with filter-pristine-tar.
    (Closes: #558777)
  * [661444b] Update docs regarding --download and drop it from completions
  * flake8 test suite and example cleanups
  * Update test data submodule URLs to https
  * Make gbp-posttag-push easier to use
  * [bba1ec7] docs: changelog entry is not created after gbp import-orig.
    Thanks to Guillaume Millet

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 Jan 2017 10:08:28 +0100

## git-buildpackage 0.8.12.1

=== debian/changelog ===
git-buildpackage (0.8.12.1) unstable; urgency=medium

  * Upload to unstable 

 -- Guido Günther <agx@sigxcpu.org>  Fri, 27 Jan 2017 14:50:30 +0100

git-buildpackage (0.8.12) experimental; urgency=medium

  [ Guido Günther ]
  * [5c23d41] GitRepository: properly determine git-dir
    instead of assuming '.git'
    Heavily based on a patch by Markus Lehtonnen (Closes: #674015)
  * [53b5af5] gbp dch: Allow to run from subdirectory
  * [390d34a] git-pbuilder: print pdebuild command as executed
    to ease debugging things like #852264
  * Test suite improvements

  [ Markus Lehtonen ]
  * [f30bb98] buildpackage: fix exporting of working copy when .git is not a directory
    as is the case with git submodules lately, for example

 -- Guido Günther <agx@sigxcpu.org>  Fri, 27 Jan 2017 14:06:33 +0100

git-buildpackage (0.8.11) experimental; urgency=medium

  * [8bd74df] command_wrappers: Simplify RunAtCommand
  * [1140886] buildpackage: Don't set a compression level if unset and make
    this the default.  This allows compressors to use the their default
    compression level. Only applies when not using pristine-tar.
    Thanks to Antoine Beaupré for investigating (Closes: #820846)
  * [0fdff8e] buildpackage: Use commit instead of tree to create archive.
    This makes sure we use the timestamps of the commit when creating the
    tarball. Only applies when not using pristine-tar
    Thanks to Ximin Luo for investigating (Closes: #851645)
  * [3f4b9f8] make: Check if we can use parallel flake
  * [534c055] git-pbuilder: Don't remove changes file (Closes: #850478)
  * [b863399] pull: Allow to specify remote on the command line
    (Closes: #851844)
  * [d3cb4db] gbp-posttag-push: add missing dry-run for debian branch push
  * [f9a7640] buildpackage: verify generated tarballs when using pristine-tar
  * [b8ea662] pq: Hardcode commit abbrev to 7 when exporting patches.
    This avoids path churn with git >= 2.11.0 (Closes: #848354)
  * Test suite enhancements

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Jan 2017 12:54:40 +0100

## git-buildpackage 0.8.12.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 PY_EXAMPLES=$(shell grep -l /usr/bin/python examples/*)
+FLAKE_OPTS=$(shell test -w /dev/shm || echo '-j1')
+NOSE_FLAGS=--with-xcoverage
 
 all: syntax-check test
 
@@ -11,11 +13,11 @@
 	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
 	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
 	PYTHONPATH=.					\
-	python setup.py nosetests --with-xcoverage
+	python setup.py nosetests $(NOSE_FLAGS)
 
 syntax-check:
-	flake8 -j1
-	flake8 -j1 $(PY_EXAMPLES)
+	flake8 $(FLAKE_OPTS)
+	flake8 $(FLAKE_OPTS) $(PY_EXAMPLES)
 
 docs:
 	make -C docs

=== debian/changelog ===
git-buildpackage (0.8.12.2) unstable; urgency=medium

  * [80044e1] GitRepository: shorten reflog message.
    Thanks to Chris Lamb for the report (Closes: #854333)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 07 Feb 2017 07:34:57 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,10 @@
  pristine-tar,
  rpm,
  unzip,
- zipmerge
+ zipmerge,
+# For the network tests
+ curl,
+ python-requests,
 Standards-Version: 3.9.8
 Vcs-Git: https://git.sigxcpu.org/cgit/git-buildpackage/
 Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/

## git-buildpackage 0.8.16.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PY_EXAMPLES=$(shell grep -l /usr/bin/python examples/*)
 FLAKE_OPTS=$(shell test -w /dev/shm || echo '-j1')
-NOSE_FLAGS=--with-xcoverage
+NOSE_OPTS=--with-xcoverage
 
 all: syntax-check test
 
@@ -13,7 +13,7 @@
 	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
 	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
 	PYTHONPATH=.					\
-	python setup.py nosetests $(NOSE_FLAGS)
+	python setup.py nosetests $(NOSE_OPTS)
 
 syntax-check:
 	flake8 $(FLAKE_OPTS)

=== docs/Makefile ===
--- 
+++ 
@@ -44,6 +44,7 @@
 endif
 	sed -i 's/^CLASS="[A-Z0-9]\+"/\L&/' manual-html/*.html
 	cp /usr/share/gtk-doc/data/*.png $(MANUAL)
+	cp gbp.css gbp.svg $(MANUAL)
 
 # We build manpages under 'buildxref/' just to get an updated cross-reference
 # file (manpage.refs), before building the final manpages

=== debian/changelog ===
git-buildpackage (0.8.16.1) unstable; urgency=medium

  * Upload to unstable
  * [57f2c4a] docs: simplify commands

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Jun 2017 15:57:41 +0200

git-buildpackage (0.8.16) experimental; urgency=medium

  * [2f806bc] Update to git-pbuilder 1.48
    incorporating the changes we made since 0.8.3
    Thanks to Russ Allbery
  * [8ea5d6f] Don't fail tests on older git versions.
    There are some nuances in reflog handling.
    Thanks to jean-christophe manciot for reporting this
  * [be6af1e] Test that we don't fail tagging when on pq branch
    (Closes: #863167)
  * [20ece98] pq: Disable rename tracking to always produce 'diff' compatible
    patches even when rename tracking is enabled in the config.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 26 May 2017 16:28:41 +0200

git-buildpackage (0.8.15) experimental; urgency=medium

  [ Guido Günther ]
  * [9fa917a] pull: give more detail about what we updated
  * [1bf6ef4] docs: use [DEFAULT] section in import example so it also fits
    the "gbp dch" usecase
  * [ead7157] buildpackage: make --git-export=WC simpler to use by implying
    --git-ignore-new --git-ignore-branch. There's no point in these safety
    checks when we export the working copy as is.  (Closes: #822823)
  * [1832d14] Drop long deprecated --no-dch
  * [000f924] buildpackage: add sloppy mode to build upstream tarballs.  When
    starting with packaging people often stumble over a mismatch between what
    dpkg-source expects to be in the tarball and the generated tarball for
    various reasons. Give them a way to say: "Use what I have on my current
    debian branch" as upstream source. Also helpful for snapshot builds with
    upstream modifications. (Closes: #861004)
  * [1113c95] clone: Add support for pseudo protocols like vcsgit: and github:
    to make cloning simpler (Closes: #861206)
  * [a4667c7] dockerfile: add src uri for the gbp clone network test

  [ Kevin Locke ]
  * [a03af0d] git-pbuilder: Check $OPTIONS for --basepath.
    Previously only the arguments were checked for --basepath.  This
    resulted in --basepath being ignored and overridden by the default when
    passed in --git-pbuilder-options
    (Closes: #856263)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 28 Apr 2017 08:36:16 +0200

git-buildpackage (0.8.14) experimental; urgency=medium

  * [fe821e2] GitRepository: use stdout as last resort if stderr is empty.
    This e.g. gives:
        GitRepositoryError: Error running git commit: On branch master
        Untracked files:
    	debian/
        nothing added to commit but untracked files present
    Instead of
        GitRepositoryError: Error running git commit:
  * [1dd290a] pq: unbreak --commit when patch series becomes empty.  We
    skipped the commit when the patch series became completely empty but we
    want to commit that change too.
  * [75bf793] posttag-push: Use named parameter for dry_run
  * [844e4f8] import-orig: only abort merge if it got started.
    This isn't be the case when there are e.g. files that would be overwritten
    by the merge in the workig copy (Closes: #859439)
  * [3b70ad2] GitRepository: add is_in_merge()
  * [5d414c1] buildpackage: cleaner does not default to debuild since ages
    (Closes: #859594)
  * [e890ce3] ipmort_orig: pick best way to import upstream tarball
    automatically.  Add new value --merge-mode=auto that selects either
    'replace' or 'merge' depending on the source format version.
    (Closes: #700411)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 12 Apr 2017 13:53:52 +0200

git-buildpackage (0.8.13) experimental; urgency=medium

  [ Guido Günther ]
  * [22013ad] pq: Filter out comments from series diff.
    When creating the delta of added and dropped pachtches ignore comment
    lines in the series file.
    (Closes: #852817)
  * [8103903] import_dsc: use three slashes by default for apt URLs.
    We don't have a host part so leave that empty. Since there very likely
    won't be any ever accept only two slashes as well.
  * [d904b61] Use a symlink to supercomand instead of
    pkgresources.load_entry_point. This sp:eds up startup by a factor of 10
    and thus makes bash completion much more responsive:
      $ gbp buildpackge --help # entrypoints
      real	0m0,573s
      user	0m0,532s
      sys	0m0,036s
      $ gbp buildpackage --help # symlink
      real	0m0,051s
      user	0m0,040s
      sys	0m0,012s
    (Closes: #853283)
  * [d31fb0b] On a patch-queue branch tag the corresponding debian branch
    instead.
    (Closes: #583938)
  * [ac34351] import_dsc: delay pristine-tar import to the very end.
    This makes sure we have a sane debian and upstream branch already so we
    don't leave the repo in an inconsistent state in case of failure.
    (Closes: #851287)
  * [0e6e23e] Improve error message for non-native packages with broken
    version numbers
    (Closes: #824634)
  * [8f93dc0] git-pbuilder: don't do set -x by default to avoid spewig on
    stderr. Use GIT_PBUILDER_DEBUG to enable it.
  * Test suite improvements
  * Doc updates including some CSS improvements

  [ Ben Finney ]
  * [0fc89bc] Extract a function to clean the working tree.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Mar 2017 09:58:42 +0100

## git-buildpackage 0.8.17

=== requirements.txt ===
coverage>=2.85
flake8>=3
mock
nose>=0.11.1
nosexcover>=1.0.7
python-dateutil
six>=1.9.0

=== docs/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
         gbp-import-dscs   \
         gbp-import-orig   \
         gbp-pq            \
+        gbp-pristine-tar  \
         gbp-pull          \
         gbp-buildpackage-rpm \
         gbp-import-srpm   \

=== debian/changelog ===
git-buildpackage (0.8.17) unstable; urgency=medium

  * [0b4a348] imort-dsc: Allow for shorter apt: pseudo URLs instead of the
    apt:/// scheme.
  * [021fe9d] git-pbuilder: drop environment variables that passed in our
    config.  We don't want to pass them on to pdebuild since this can trip up
    the invoked build system.
  * [b70d859] Fix typos in comments
  * [d022623] pq_rpm: clarify doc string
    mention RPM and start with a capital letter to make
        gbp --list-cmds
    output consistent.
  * [956982c] New command 'pristine-tar'
    This allows one to run the pristine-tar import at a later point.  This
    is useful when using component tarballs and we need to reference the
    right trees for the commits.
  * [f1c3a6f] DebianGitRepository: better pristine-tar errors.
    We should not raise CommandErrors from methods on a GitRepository so
    convert the error and suppress the output. This will make us use the
    handler for GitRepositoryError in import_orig and pristine_tar which
    default to printing the error message. (Closes: #829252)
  * [f1e9d85] Don't print debsnap errors twice (Closes: #851128)
  * [7fd6ba1] docs: merge histories when importing.
    This is only necessary for non 3.0 (quilt) packages when not using
    merge-mode=auto with "gbp import-orig".
    Thanks to Sean Whitton (Closes: #864881)
  * [f905594] docs: drop commands for ancient git versions. Even oldoldstable
    has a more recent one.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Jun 2017 19:26:50 +0200

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	mkdir -p debian/git-buildpackage/$(ZSH_COMPDIR)
 	install -m644 debian/git-buildpackage.zsh-completion \
 		debian/git-buildpackage/$(ZSH_COMPDIR)/_gbp
+	chmod a+x debian/tmp/usr/lib/python2.?/dist-packages/gbp/scripts/supercommand.py
 
 override_dh_auto_clean:
 	dh_auto_clean

## git-buildpackage 0.8.18

=== requirements.txt ===
python-dateutil
six>=1.9.0

=== debian/changelog ===
git-buildpackage (0.8.18) unstable; urgency=medium

  [ Guido Günther ]
  * [4e6dd9c] Use install_requirements for dateutil to make using gbp in
    virtualenv simpler
    Thanks: Ken Dreyer
  * [0388f9e] import-orig: Always raise an error if we find <error/> or
    <warning/> when invoking uscan.
    Older uscan does not abort with a non-zero exit status when it e.g. fails
    to verify gpg signatures. So abort when we find a warning or error. (See
    #841910 for reference).
  * [561286d] Devscripts 2.17.7 properly exits on gpg signature validation
    errors. So revert the above and depend on a fixed version. We keep the
    above for reference since this is the right thing to do with older
    uscan (e.g. in backports).
  * [9fc1774] import-dscs: don't use long gone log function (Closes: #868733)
  * [aaee8bb] tests: add initial component test for import-dscs
  * [62ab1eb] tests: properly restore import_dscs so later testcases don't
    break

  [ Christos Trochalakis ]
  * [61f4625] dch: unmangle upstream_tag when guessing upstream version.
    Running `gbp dch` with a mangled upstream tag resulted in a KeyError while
    trying to build a tag pattern.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Jul 2017 18:06:21 -0300

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # For the testsuite
  bzip2,
  cpio,
- devscripts (>= 2.13.8~),
+ devscripts (>= 2.17.7~),
  git (>= 1:1.7.9.1-1~),
  pristine-tar,
  rpm,

## git-buildpackage 0.9.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
 	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
 	PYTHONPATH=.					\
-	python setup.py nosetests $(NOSE_OPTS)
+	LC_ALL=C.UTF-8 python3 setup.py nosetests $(NOSE_OPTS)
 
 syntax-check:
 	flake8 $(FLAKE_OPTS)
@@ -21,9 +21,10 @@
 
 docs:
 	make -C docs
+	make apidocs
 
 apidocs:
 	mkdir -p build
-	epydoc -v --config=setup.cfg
+	pydoctor -v --config=.pydoctor.cfg
 
 .PHONY: docs

=== debian/changelog ===
git-buildpackage (0.9.1) unstable; urgency=medium

  * Kill use of six.*
  * Add gbp import-dsc hook for pk4.
    Can be enabled via
        mkdir -p ~/.config/pk4/hooks-enabled/unpack/
        ln -s /usr/share/pk4/hooks-available/unpack/gbp \
              ~/.config/pk4/hooks-enabled/unpack/
  * [f18d6b4] import-dsc: improve error message when Debian branch does not exist
  * [01da1e6] import-dsc: make sure we don't create 'master' if not needed.
    This way we only get the debian- and upstream-branch in empty repos and
    not a pointless 'master' if debian-branch != master.
    It also makes sure we don't need --create-missing-branches on empty
    repos where it is pointless. (Closes: #750962)
  * [cec2123] docs: Add rpm tool manpages to manual too.
    On non-Debian platform it's sometimes cumbersome to build the manpages
    so make sure we have them available on the web at least.
  * [8e67334] Lock flake8 version.
    We don't want to play catchup with new flake8 checks but rather
    update and fix things in a controlled manner.
  * [f1bf7c3] command_wrappers: report proper exception on bad process arguments.
    If subprocess.communicate raised a TypeError due to bad arguments 'ret'
    was undefined and therefore the real error reason got masked.
    Closes parts of #879495
  * [280f4c9] pq: kill useless use of sed. This also broke paths containing
    spaces. Thanks to André Althaus for a proposed fix.
  * [ca273d9] dscfile: parse out upstream signatures as well
  * [5db9f15] dscfile: Make sure we match on additional tarballs containing
    uppercase (Closes: #880228)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Oct 2017 12:48:53 +0100

git-buildpackage (0.9.0) unstable; urgency=medium

  * Upload to unstable
  * [dbb9290,9c1bd13] README: use https, shorter URLs and add image
  * [ce7ff21] d/control: mentions new commands in packaging description
  * [44b4e2b] import-dsc: split import of tarballs out of main.  The current
    logic tried to force native and non-native packages into the same code
    path leading to hardly readable if-else-maybe code paths.
  * [4b9789a] import-dsc: Look for pristine-tar reference by commit.  The
    upstream branch tip is up to date at this point already but this makes
    sure things don't get wired if we move code around.
  * [d0ee56b] import-dsc: don't create pristine-tar commits on every import.
    We must not create pristine-tar commits if no new upstream sources were
    imported. Othewise we'd create them on every Debian revision.  This hardly
    wastes space since commits are identical but does waste time.
  * [680784b] pq: import patches before rebase if the pq branch doesn't exist
    yet. (Closes: #876800)
  * [c1c7fa7] pq: recommend 'rebase' and 'switch' when pq branch already
    exists
  * [1551051] pq: import pq branch on switch (Closes: #761166)
  * [02978fb] pq: let drop work when pq branch is currently checked out

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Oct 2017 11:41:53 +0200

git-buildpackage (0.9.0~exp7) experimental; urgency=medium

  * [fdf2720] Don't fail on unicode errors when importing patches.  Use
    backslashreplace not lose data.
  * [252c102] clone: clarify what we're looking for when using vcsgit:
  * [4e6c4cf] command_wrappers: fix path lookups.
    Python3 performs path lookups by itself when no path is given so remove
    our path lookup code.
    Thanks to Nish Aravamudan
  * [2c7a5c5] import-orig: roll back on CTRL-C too
  * [4761cf9] import-orig: Use gz compression when repackaging non tarball
    filtered upstream source.  This makes it consistent with
    export_orig:guess_comp_type when no compressor could be detected.
  * [80189f2] create_remote_repo: another missing python3 string conversion
  * [0259fd5] config: Don't require the command to be started from toplevel
    dir.  At least dch, push, tag and export-orig don't require to be run from
    the toplevel of the git repo. Make sure we pick up debian/gbp.conf
    nevertheless.
  * [d75fbd4] docs: Switch to docbook-xml
    (Closes: #877322)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Oct 2017 12:03:21 +0200

git-buildpackage (0.9.0~exp6) experimental; urgency=medium

  * [23b334c] README.source example: fix typo.
    Thanks to Roel van Meer
  * [db5c670] Add tag command by splitting out the code from buildpackage
    This is shorter than running
         gbp buildpackage --git-tag-only
    Closes: #797086
  * [01ee027] bash completion: add some missing branch and file opts.
    This unbreaks completion of options on some of the newer commands such
    as gbp export-orig --tarball-dir=<tab>
  * [0c6cbfa] bash completion: don't accidentally match subcommands as options.
    We match on option first so we need to make sure we don't accidentally
    match on subcommands. This unbreaks command completion for e.g. "gbp
    tag"
  * [84596ab] Unbreak dch tests with newer devscripts.
    Due to #842468 debchange now produces shorter output omitting empty
    blocks if there weren't any changes by the maintainer invoking
    debchange (which is nice). So check for the matching lines in both the old
    and new location.
  * [6abb9e8] buildpackage: don't require debian/ prefix for --git-dist=DEP14
    to work
  * [d5c4804] Add id-length to gbp.conf

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Sep 2017 12:51:52 +0200

git-buildpackage (0.9.0~exp5) experimental; urgency=medium

  * [67cdeac] push: fix option names in error output.  Only buildpackage uses
    the '--git-' prefix
  * [04ae7d5] git: Don't decode diff output.
    The output can be in any encoding so assuming utf-8 is plain wrong
  * [0f84a0d] patch_series: Make sure we close the temp file
  * [4c6f8fc] command_wrappers: allow one to look up executables in $PATH
  * [2ca3e37] pristine-tar: look for binary in $PATH
    to help the Ubuntu git importer that run's pristine-tar inside a snap.
  * [b2092c1] patch_series: don't let "git mailinfo" sanitize the subject.
